Brivio API reference
Gate

Book a dock slot; 409 when it overlaps a SCHEDULED/CONFIRMED/ARRIVED one on the same dock (back-to-back is allowed). Honours Idempotency-Key. (scope: gate:write)

POST
/gate/dock-appointments

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
direction?string

Default INBOUND on create.

Value in"INBOUND""OUTBOUND""OTHER"
location_id?string

A location of this organization (422 otherwise).

Formatuuid
dock_name?string

Enables the overlap check for this dock.

Lengthlength <= 50
slot_start*string
Formatdate-time
slot_end*string

Must be after slot_start. Slots are half-open [start, end).

Formatdate-time
vehicle_plate?string
Lengthlength <= 20
driver_name?string
Lengthlength <= 255
carrier_id?string
Formatuuid
carrier_name?string
Lengthlength <= 255
partner_id?string
Formatuuid
reference?string
Lengthlength <= 100
notes?string
Lengthlength <= 2000

Response Body

OK

application/json
  1. response
data*

The driver's phone and the kiosk check-in token are deliberately not exposed.

error*null
curl -X POST "https://example.com/gate/dock-appointments" \  -H "Content-Type: application/json" \  -d '{    "slot_start": "2019-08-24T14:15:22Z",    "slot_end": "2019-08-24T14:15:22Z"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "SCHEDULED",    "direction": "INBOUND",    "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",    "dock_name": "string",    "slot_start": "2019-08-24T14:15:22Z",    "slot_end": "2019-08-24T14:15:22Z",    "vehicle_plate": "string",    "driver_name": "string",    "carrier_id": "48e94619-563d-402c-b442-97b2c8fb116b",    "carrier_name": "string",    "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06",    "reference": "string",    "notes": "string",    "visit_id": "4fa595bd-6c49-4a9e-9507-63e9ca0eb0fc",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}